Name:           libcapifax
Version:        0.7.3
Release:        4%{?dist}
Summary:        Support for Sending/receiving faxes over CAPI capable devices
Group:          System Environment/Daemons
License:        GPLv2+
URL:            http://capifax.v3v.de/
Source0:        http://capifax.v3v.de/dl/capifax-%{version}.tar.bz2

# the following patches are derived from the jmb4 version of capifax on http://www.tabos.org/ffgtk
Patch0:         capifax-jmb3-fix-autofoo.patch
Patch1:         capifax-jmb3-skip-internal.patch
patch2:         capifax-jmb3-fix-cups.patch
Patch3:         capifax-jmb4-fix-pc.patch

# additional patch to use package config file of libcapi
Patch4:         capifax-use-capi20-pc.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  spandsp-devel isdn4k-utils-devel pkgconfig libtool

%description
libcapifax is a library that supports sending/receiving faxes over capi via 
soft DSP (spandsp).
It was originally released as part of the capifax package.

%package devel
Summary:        Development toolkit for capifax
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} pkgconfig

%description devel
Development toolkit for libcapifax

%prep
%setup -q -n capifax-%{version}
%patch0 -p1 -b .fix-autofoo
%patch1 -p1 -b .skip-internal
%patch2 -p1 -b .fix-cups
%patch3 -p1 -b .fix-pc
%patch4 -p0 -b .use-capi20-pc

%build
autoreconf --install --force
%configure --with-spandsp=6 --with-gnu-ld --disable-rpath --enable-static=no  --disable-capifax
#
# Remove all rpath settings from libtool, so we do not use rpath
#
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libcapifax/libtool
sed -i 's|^hardcode_libdir_flag_spec_ld=.*|hardcode_libdir_flag_spec=""|g' libcapifax/libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libcapifax/libtool

make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} %{?_smp_mflags}
rm %{buildroot}/%{_libdir}/libcapifax.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{_libdir}/libcapifax.so.0
%{_libdir}/libcapifax.so.0.0.7
%doc COPYING README AUTHORS ChangeLog

%files devel
%defattr(-,root,root,-)
%{_includedir}/libcapifax.h
%{_libdir}/libcapifax.so
%{_libdir}/pkgconfig/capifax.pc
%doc COPYING README AUTHORS ChangeLog

%clean
rm -rf %{buildroot}

%changelog
* Fri Jul 30 2010 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.7.3-4
- Put cleanup of buildroot back in install and clean sections
* Fri Jul 30 2010 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.7.3-3
- Moved cleanup of buildroot from build section to install section
- Corrected license (GPLv2+)
- removed cleanup of buildroot from build and clean sections
- Added -jmb4i-fix-pc patch that replaces own patch for libcapifax.pc
* Thu May 20 2010 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.7.3-2
- Minor edits to specfile to correct layout
* Fri Jan 29 2010 Louis Lagendijk <llagendijk@users.sourceforge.net> - 0.7.3-1
- Initial version
